package org.nstart.dep265.tletools.zeptomoby.core.coord

import org.nstart.dep265.tletools.zeptomoby.core.Julian
import org.nstart.dep265.tletools.zeptomoby.core.eci.Eci
import org.nstart.dep265.tletools.zeptomoby.core.eci.EciTime

@Suppress("unused")
class GeoTime: Geo {

    constructor(geo: Geo, d: Julian):
        this(geo.latitudeRad, geo.longitudeRad, geo.altitudeKm, d)

    constructor(latRad: Double, lonRad: Double, altKm: Double, d: Julian): super(latRad, lonRad, altKm) {
        date = d
    }

    constructor(eci: Eci, d: Julian): super(eci, d) {
        date = d
    }

    constructor(eci: EciTime): super(eci, eci.date) {
        date = eci.date
    }

    val date: Julian
}